Bug 1052728 - Quick flash of triangular artifacts when switching Gnome 3 workspaces
Summary: Quick flash of triangular artifacts when switching Gnome 3 workspaces
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-13 23:24 UTC by Paul Bolle
Modified: 2015-06-29 14:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:26:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Paul Bolle 2014-01-13 23:24:32 UTC
Description of problem:
When I switch workspaces in the Gnome 3 shell - under some, well, rather specific conditions - there's a quick flash of triangular artifacts covering the screen.

Version-Release number of selected component (if applicable):
2.21.15-5.fc20.i686

How reproducible:
Always, it seems.

Steps to Reproduce:
1. Use Fedora 20, and Gnome 3 shell, on a ThinkPad X41. Quite the rage in 2006 (or thereabouts). Note that it carries an Intel 915GM graphics card.

2. Log into Gnome 3. 

3. Open an application on the first workspace. Doesn't matter which.

4. Open gnome-terminal on the second workspace. It may also be opened on the third, etc., workspace. Skipping step 3, and opening gnome-terminal on the first workspace, won't trigger this bug. Beats me!

5. Open a second gnome-terminal on the second workspace. The screen layout is now like this:
+---------------+---------------------+
|               |                     |
|               |----------+          |
|               |          |          |
+---------------+          |          |
|       |                  |          |
|       +------------------+          |
|                                     |
+-------------------------------------+

6. Bring the first gnome-terminal to the foreground. The screen layout is now like this:
+---------------+---------------------+
|               |                     |
|       +------------------+          |
|       |                  |          |
+-------|                  |          |
|       |                  |          |
|       +------------------+          |
|                                     |
+-------------------------------------+

Note that the _left_ side of the second genome-terminal, now in the background, touches the left side of the screen. This is important, for some reason!

Also note the no sides of the first gnome-terminal, now in the foreground, touch a side of the screen. That appears also to be important.

7. Now jump from workspace to workspace (ie, from first to second, or from the empty third workspace to the second) using Ctrl-Alt-Up or Ctrl-Alt-Down

Actual results:
A quick flash of triangular artifacts, covering the screen, every time you enter the second workspace. That is the workspace with the carefully arranged gnome-terminals.

Expected results:
No such thing. Boring, I know.

Additional info:
This must be one of the greatest bugs I have ever had the pleasure of filing. 

I'm far from sure which component is to blame:
- kernel's i915.ko;
- this driver;
- Gnome 3 shell;
- or perhaps even gnome terminal.
Feel free to point me to another component, or even another bugtracker, to move this to a more appropriate place.

You're also free to prod me for versions of any (possible) related component. For now I'll state that I'm running up to date Fedora 20 for i686.

Comment 1 Fedora End Of Life 2015-05-29 10:29:28 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 14:26:05 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.